# Uses of Class
it.tdlight.jni.TdApi.LanguagePackInfo

## Uses of TdApi.LanguagePackInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.LanguagePackInfo
Modifier and Type
Field
Description
`TdApi.LanguagePackInfo`
TdApi.EditCustomLanguagePackInfo.`info`
New information about the custom local language pack.
`TdApi.LanguagePackInfo`
TdApi.SetCustomLanguagePack.`info`
Information about the language pack.
`TdApi.LanguagePackInfo[]`
TdApi.LocalizationTargetInfo.`languagePacks`
List of available language packs for this application.
Constructors in it.tdlight.jni with parameters of type TdApi.LanguagePackInfo
Modifier
Constructor
Description
``
`EditCustomLanguagePackInfo(TdApi.LanguagePackInfo info)`
Edits information about a custom local language pack in the current localization target.
``
`LocalizationTargetInfo(TdApi.LanguagePackInfo[] languagePacks)`
Contains information about the current localization target.
``
`SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)`
Adds or changes a custom local language pack to the current localization target.